summaryrefslogtreecommitdiffstats
path: root/testing/source/vtown/xfce/xfce4-systemload-plugin
diff options
context:
space:
mode:
Diffstat (limited to 'testing/source/vtown/xfce/xfce4-systemload-plugin')
-rw-r--r--testing/source/vtown/xfce/xfce4-systemload-plugin/slack-desc19
-rw-r--r--testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.HOVER_TIMEOUT.diff51
-rwxr-xr-xtesting/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.SlackBuild117
-rw-r--r--testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.url1
4 files changed, 188 insertions, 0 deletions
diff --git a/testing/source/vtown/xfce/xfce4-systemload-plugin/slack-desc b/testing/source/vtown/xfce/xfce4-systemload-plugin/slack-desc
new file mode 100644
index 000000000..1f57f4003
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-systemload-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfce4-systemload-plugin: xfce4-systemload-plugin (systemload plugin for the Xfce panel)
+xfce4-systemload-plugin:
+xfce4-systemload-plugin: This plugin displays the current system load on the Xfce panel.
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
+xfce4-systemload-plugin:
diff --git a/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.HOVER_TIMEOUT.diff b/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.HOVER_TIMEOUT.diff
new file mode 100644
index 000000000..648cb2026
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.HOVER_TIMEOUT.diff
@@ -0,0 +1,51 @@
+--- ./panel-plugin/systemload.c.orig 2018-11-29 10:44:33.000000000 -0600
++++ ./panel-plugin/systemload.c 2018-12-02 13:22:54.163384487 -0600
+@@ -55,6 +55,8 @@
+ static gchar *DEFAULT_COLOR[] = { "#0000c0", "#00c000", "#f0f000" };
+ static gchar *DEFAULT_COMMAND_TEXT = "xfce4-taskmanager";
+
++/* HOVER_TIMEOUT is a fixed constant in gtk+-3; this must match - Aargh */
++#define HOVER_TIMEOUT 500
+ #define UPDATE_TIMEOUT 500
+ #define UPDATE_TIMEOUT_SECONDS 1
+
+@@ -106,6 +108,7 @@
+ guint timeout, timeout_seconds;
+ gboolean use_timeout_seconds;
+ guint timeout_id;
++ guint tooltip_timeout;
+ t_command command;
+ t_monitor *monitor[3];
+ t_uptime_monitor *uptime;
+@@ -173,6 +176,9 @@
+ global->monitor[count]->value_read / 100.0);
+ }
+ }
++/* don't write tooltip too often */
++ if((global->tooltip_timeout += global->timeout) <= HOVER_TIMEOUT) return TRUE;
++ global->tooltip_timeout = 0;
+ if (global->monitor[0]->options.enabled)
+ {
+ g_snprintf(caption, sizeof(caption), _("System Load: %ld%%"),
+@@ -335,6 +341,7 @@
+ #endif
+ global->plugin = plugin;
+ global->timeout = UPDATE_TIMEOUT;
++ global->tooltip_timeout = 0;
+ global->timeout_seconds = UPDATE_TIMEOUT_SECONDS;
+ global->use_timeout_seconds = TRUE;
+ global->timeout_id = 0;
+@@ -422,13 +429,6 @@
+ }
+ #endif
+ global->timeout_id = g_timeout_add(global->timeout, (GSourceFunc)update_monitors, global);
+- /* reduce the default tooltip timeout to be smaller than the update interval otherwise
+- * we won't see tooltips on GTK 2.16 or newer */
+- settings = gtk_settings_get_default();
+- if (g_object_class_find_property(G_OBJECT_GET_CLASS(settings), "gtk-tooltip-timeout"))
+- g_object_set(settings, "gtk-tooltip-timeout",
+- global->timeout - 10, NULL);
+-
+ }
+
+ static void
diff --git a/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.SlackBuild b/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.SlackBuild
new file mode 100755
index 000000000..455959264
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for xfce4-systemload-plugin
+
+# Copyright 2006-2012 Robby Workman, Northport, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Maintained by Ozan Turkyilmaz ozan.turkyilmaz@gmail.com
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=xfce4-systemload-plugin
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2_vtown_1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.lz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+zcat $CWD/xfce4-systemload-plugin.HOVER_TIMEOUT.diff.gz | patch -p1 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/xfce \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-debug=no \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* INSTALL NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.url b/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.url
new file mode 100644
index 000000000..17d17c5a2
--- /dev/null
+++ b/testing/source/vtown/xfce/xfce4-systemload-plugin/xfce4-systemload-plugin.url
@@ -0,0 +1 @@
+http://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/